#!/bin/bash
# #!/usr/local/bin/bash

# Not /bin/ksh OR /bin/sh compatible. bash is not default in OpenBSD

usage()
{
cat << EOF
usage: $0 options folder

This script initialize the environment needed for these scripts.

OPTIONS:
   -h   show help
   -p   path for these script files
EOF
}

while getopts "hp:?" OPTION; do
  case $OPTION in
    h )  usage;exit 1;;
    p )  ROOT=$OPTARG;;
    ? )  usage;exit 1;;
  esac
done

# Use pwd as root if not specified explicitely
if [ -z ${ROOT} ]; then
  ROOT="$PWD"
fi
ROOT="${ROOT/%\//}"               # remove trailing / (% means comparison from end)
ROOT="${ROOT/#  /}"               # remove leading spaces (up to 3) ... 
ROOT="${ROOT/# /}"

# Do initialization ... (does not stick between different java calls!)
PATH=$PATH:$ROOT 
export PATH

/bin/sh -c "set | grep PATH"

# TODO: Handle non bash environment
#/bin/sh -c "export PATH=${PATH}:${ROOT}"
#/bin/sh -c "set | grep PATH"
